filenameconv(1)

Name

filenameconv — convert file name encoding

Syntax

filenameconv [-Y] -f charset -t charset directory...

Description

Convert filenames on the whole filesystem between two charsets. The selected charsets must be supported by the iconv(1) program! Also note that all source filenames must have the same encoding or translation errors may occur.

Options

-f charset
    The charset which your filenames are currently encoded in.

-t charset
    The charset you want to have the filenames to be in afterwards.

-Y  Do the operation! Process the files instead of just showing what would be done. (Not specifying this would make for a dry run.)

Example

filenameconv -f iso-8859-1 -t utf-8 .

See also

hxtools(7)